Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::RegistryObserver`

## Overview

    interface RegistryObserver

The registry observer interface. Observers should implement this interface to receive information about the state of the IceGrid registry.

### Operation Index

`applicationAdded`

  The applicationAdded method is called to notify the observer that an application was added.

`applicationRemoved`

  The applicationRemoved method is called to notify the observer that an application was removed.

`applicationUpdated`

  The applicationUpdated method is called to notify the observer that an application was updated.

`init`

  The init method is called after the registration of the observer to communicate the current state of the registry to the observer implementation.

## `applicationAdded`

    void applicationAdded(int serial,
        ApplicationDescriptor desc);

The applicationAdded method is called to notify the observer that an application was added.

### Parameters

`serial`

  The new serial number of the registry database.

`desc`

  The descriptor of the new application.

## `applicationRemoved`

    void applicationRemoved(int serial,
        string name);

The applicationRemoved method is called to notify the observer that an application was removed.

### Parameters

`serial`

  The new serial number of the registry database.

`name`

  The name of the application that was removed.

## `applicationUpdated`

    void applicationUpdated(int serial,
        ApplicationUpdateDescriptor desc);

The applicationUpdated method is called to notify the observer that an application was updated.

### Parameters

`serial`

  The new serial number of the registry database.

`desc`

  The descriptor of the update.

## `init`

    [ "ami" ]
    void init(int serial,
        ApplicationDescriptorSeq applications);

The init method is called after the registration of the observer to communicate the current state of the registry to the observer implementation.

### Parameters

`serial`

  The current serial of the registry database. This serial allows observers to make sure that their internal state is synchronized with the registry.

`applications`

  The applications currently registered with the registry.

<<< Previous | Home | Next >>>
`IceGrid::RandomLoadBalancingPolicy` | Up | `IceGrid::ReplicaGroupDescriptor`